## diffmo 2.8.1-20

=== debian/changelog ===
diffmo (1:2.8.1-20) unstable; urgency=medium

  * Rename package and binaries so it doesn't conflict with busybox
    diff (see bug https://bugs.maemo.org/show_bug.cgi?id=3032 )
    Names are: diffmo, diff3mo, sdiffmo, and cmpmo 
  * Drop old transitional package that is Debian legacy.
  * Drop Suggests

 -- Jeff Moe <moe@blagblagblag.org>  Thu, 17 Dec 2009 20:05:06 -0300

diffutils (1:2.8.1-20) unstable; urgency=medium

  * Build for Maemo 5 (Nokia N900)
  * Maintainer me.
  * Add Build-Depends: maemo-optify
  * maemo-optify in rules

 -- Jeff Moe <moe@blagblagblag.org>  Thu, 17 Dec 2009 19:13:26 -0300

diffutils (1:2.8.1-18) unstable; urgency=medium

  * Modify Replaces field so that it includes old releases of diff in
    experimental. Closes: #546364. Note: This will make diff 2.8.7
    to "upgrade" to diffutils 2.8.1 if you don't have experimental in
    sources.list anymore. Those who really want diffutils 2.8.7 should
    keep experimental in sources.list.

 -- Santiago Vila <sanvila@debian.org>  Sun, 13 Sep 2009 11:13:04 +0200

diffutils (1:2.8.1-17) unstable; urgency=medium

  * Made diff to Pre-Depend on diffutils, as it's proper for the transition
    of an essential package. Thanks, Steve Langasek.

 -- Santiago Vila <sanvila@debian.org>  Tue,  8 Sep 2009 15:32:42 +0200

diffutils (1:2.8.1-16) unstable; urgency=low

  * Added epoch to fix upload mistake.

 -- Santiago Vila <sanvila@debian.org>  Sat, 29 Aug 2009 12:46:12 +0200

diffutils (2.8.1-15) unstable; urgency=low

  * Use the new binary package name in the extended description.

 -- Santiago Vila <sanvila@debian.org>  Fri, 28 Aug 2009 20:29:24 +0200

diffutils (2.8.1-14) unstable; urgency=low

  * Updated config.guess and config.sub.
  * Renamed diff package to diffutils. Closes: #539517.
  * Changed section to utils, following the override file.
  * Package diff is now a transition package (extra/oldlibs).
  * Changed Suggests to diffutils-doc, which is also renamed.
  * Do not ignore errors from make distclean (lintian warning).

 -- Santiago Vila <sanvila@debian.org>  Thu, 27 Aug 2009 14:38:30 +0200

diffutils (2.8.1-13) unstable; urgency=low

  * Fixed --ignore-file-name-case. Patch from Ubuntu. Closes: #300258.
  * Modified debian/rules to support cross-build. Closes: #451159.
  * Updated config.guess and config.sub.

 -- Santiago Vila <sanvila@debian.org>  Fri, 29 May 2009 18:00:00 +0200

diffutils (2.8.1-12) unstable; urgency=low

  * Drop outdated preinst.
  * Updated config.guess and config.sub.
  * Do not override _POSIX2_VERSION anymore. Please fix your scripts.

 -- Santiago Vila <sanvila@debian.org>  Sun, 29 Apr 2007 15:04:18 +0200

diffutils (2.8.1-11) unstable; urgency=low

  * Changed default value of _POSIX2_VERSION in lib/posixver.c to
    199209 to not break backwards compatibility (Closes: #295421).
    People should be encouraged to set _POSIX2_VERSION="200112" in
    the environment, see what breaks, and fix it, as this change
    should be reverted some day after the release of sarge.

 -- Santiago Vila <sanvila@debian.org>  Tue, 15 Feb 2005 22:45:18 +0100

diffutils (2.8.1-10) unstable; urgency=low

  * Suggests: diff-doc (Closes: #294211).
  * Added a debian/watch file (Closes: #294834).

 -- Santiago Vila <sanvila@debian.org>  Mon, 14 Feb 2005 19:06:28 +0100

diffutils (2.8.1-9) unstable; urgency=low

  * Fixed typo in the copyright file.

 -- Santiago Vila <sanvila@debian.org>  Wed, 19 Jan 2005 16:38:26 +0100

diffutils (2.8.1-8) unstable; urgency=low

  * Repackaged source without the GFDL-covered manual. Closes: #212523.
  * Source is renamed to "diffutils" to make the archive scripts happy.
  * Removed texinfo and texi2html from Build-Depends, no longer needed.
  * Dropped diff-doc, will be generated from another source.
  * Added appropriate --build and --host options to ./configure call in
    debian/rules to support cross-compilation. Closes: #283642.

 -- Santiago Vila <sanvila@debian.org>  Sat,  8 Jan 2005 19:09:00 +0100

diff (2.8.1-7) unstable; urgency=low

  * Moved info manual to diff-doc to address Bug#212523 partially.
  * Added appropriate Replaces field to diff-doc.
  * Updated config.guess and config.sub.

 -- Santiago Vila <sanvila@debian.org>  Wed, 24 Nov 2004 19:01:10 +0100

diff (2.8.1-6) unstable; urgency=low

  * Fixed sdiff manpage (Closes: #219166).

 -- Santiago Vila <sanvila@debian.org>  Wed,  5 Nov 2003 10:55:58 +0100

diff (2.8.1-5) unstable; urgency=low

  * Updated config.guess and config.sub for GNU/KFreeBSD (Closes: #216779).

 -- Santiago Vila <sanvila@debian.org>  Tue, 21 Oct 2003 15:26:22 +0200

diff (2.8.1-4) unstable; urgency=low

  * Modified doc/Makefile.in so that it *never* uses install-info.
    This is a workaround for an automake bug triggered by the fact that
    install-info --version now outputs to stdout (Closes: #213495).

 -- Santiago Vila <sanvila@debian.org>  Wed,  1 Oct 2003 12:35:02 +0200

diff (2.8.1-3) unstable; urgency=low

  * Converted Debian changelog to UTF-8.
  * Made sdiff -E to work (Closes: #212954).

 -- Santiago Vila <sanvila@debian.org>  Mon, 29 Sep 2003 23:50:50 +0200

diff (2.8.1-2) unstable; urgency=low

  * Removed doc symlinks.
  * Updated DEB_BUILD_OPTIONS handling (added noopt, removed debug).
  * Updated config.sub/config.guess for netbsd (Closes: #179701).

 -- Santiago Vila <sanvila@debian.org>  Thu, 24 Apr 2003 22:17:04 +0200

diff (2.8.1-1) unstable; urgency=low

  * New upstream release.
  * There are upstream manpages now, generated by help2man.
  * The ranges feature by Peter Samuelson is now implemented upstream,
    but using a slightly different syntax.

 -- Santiago Vila <sanvila@debian.org>  Sat, 20 Jul 2002 12:51:04 +0200

diff (2.7-29) unstable; urgency=low

  * The DIFF environment variable is now ignored by sdiff, this feature was
    undocumented and will be removed in the next stable diffutils release.
    Thanks to Patrik Hägglund (Closes: #66486).


