=== debian/control ===
Source: diffmo
Section: utils
Priority: required
Maintainer: Jeff Moe <moe@blagblagblag.org>
Build-Depends: maemo-optify
Standards-Version: 3.8.3

Package: diffmo
Essential: yes
Architecture: any
Pre-Depends: ${shlibs:Depends}
Replaces: diff
Description: File comparison utilities
 This package is diffutils with renamed binaries so it works with Maemo 5
 due to bug https://bugs.maemo.org/show_bug.cgi?id=3032
 .
 The binaries should be the same, but have "mo" appended to them.
 .
 The diffmo package provides the diffmo, diff3mo, sdiffmo, and cmpmo programs.
 .
 `diffmo' shows differences between two files, or each corresponding file
 in two directories.  `cmpmo' shows the offsets and line numbers where
 two files differ.  `cmpmo' can also show all the characters that
 differ between the two files, side by side.  `diff3' shows differences
 among three files.  `sdiffmo' merges two files interactively.
 .
 The set of differences produced by `diffmo' can be used to distribute
 updates to text files (such as program source code) to other people.
 This method is especially useful when the differences are small compared
 to the complete files.  Given `diffmo' output, the `patch' program can
 update, or "patch", a copy of the file.
