## diffmo 2.8.1-21

=== debian/changelog ===
diffmo (1:2.8.1-21) unstable; urgency=medium

  * Change Priority: required to optional.
  * Remove Essential: yes

 -- Jeff Moe <moe@blagblagblag.org>  Thu, 17 Dec 2009 20:49:08 -0300
