=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: diffmo
 Section: utils
-Priority: required
+Priority: optional
 Maintainer: Jeff Moe <moe@blagblagblag.org>
 Build-Depends: maemo-optify
 Standards-Version: 3.8.3
 
 Package: diffmo
-Essential: yes
 Architecture: any
 Pre-Depends: ${shlibs:Depends}
 Replaces: diff
