=== debian/watch ===
version=2
ftp://ftp.gnu.org/gnu/diffutils/diffutils-(.*)\.tar\.gz
